Loading...
Searching...
No Matches
CrossRefMap< GR, K, V >::ValueIt Class Reference

## Detailed Description

template<typename GR, typename K, typename V>
class lemon::CrossRefMap< GR, K, V >::ValueIt

This iterator is an STL compatible forward iterator on the values of the map. The values can be accessed in the [beginValue, endValue) range. They are considered with multiplicity, so each value is traversed for each item it is assigned to.

`#include <lemon/maps.h>`

## Public Member Functions

| ValueIt ()
| Constructor.
ValueIt & | operator++ ()
ValueIt | operator++ (int)
const Value & | operator* () const
const Value * | operator-> () const
bool | operator== (ValueIt jt) const
bool | operator!= (ValueIt jt) const